nutch-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (NUTCH-2375) Upgrade the code base from org.apache.hadoop.mapred to org.apache.hadoop.mapreduce
Date Wed, 08 Nov 2017 22:10:01 GMT

    [ https://issues.apache.org/jira/browse/NUTCH-2375?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16244816#comment-16244816
] 

ASF GitHub Bot commented on NUTCH-2375:
---------------------------------------

sebastian-nagel commented on issue #221: NUTCH-2375 Upgrading nutch to use org.apache.hadoop.mapreduce
URL: https://github.com/apache/nutch/pull/221#issuecomment-342977541
 
 
   I haven't verified it, but probably that's the reason: `job.setJarByClass(Generator.class)`
isn't specified in `partitionSegment(...)`, cf. [slides about upgrading to the new mapreduce
API](https://www.slideshare.net/sh1mmer/upgrading-to-the-new-map-reduce-api/11). That's one
of the tiny little details easily overseen. Why not do this in `NutchJob.getInstance()`? The
mapper and reducer classes should be in the same job/jar file where NutchJob is located. 

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


> Upgrade the code base from org.apache.hadoop.mapred to org.apache.hadoop.mapreduce
> ----------------------------------------------------------------------------------
>
>                 Key: NUTCH-2375
>                 URL: https://issues.apache.org/jira/browse/NUTCH-2375
>             Project: Nutch
>          Issue Type: Improvement
>          Components: deployment
>            Reporter: Omkar Reddy
>
> Nutch is still using the deprecated org.apache.hadoop.mapred dependency which has been
deprecated. It need to be updated to org.apache.hadoop.mapreduce dependency. 



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message